[pytest]
doctest_optionflags =
    NORMALIZE_WHITESPACE
    ELLIPSIS
    IGNORE_EXCEPTION_DETAIL
addopts =
    --doctest-glob='test*.md'
    --doctest-modules
    --doctest-continue-on-failure
    --cov 'src/qary'
    --cov-report term
    --cov-report xml
    --cov-config .coveragerc
    # FIXME:
    --ignore='src/qary/etl/fileutils.py'
    --ignore='src/qary/etl/json_loader_and_preprocessing.py'
    --ignore='src/qary/skills/base.py'
    --ignore='src/qary/chat/v4.py'
    --ignore='src/qary/skills/poly.py'
    --ignore='src/qary/skills/historybot.py'
    --ignore='src/qary/skills/yes_no.py'
    --ignore='src/qary/skills/search_fuzzy.py'
    --ignore='src/qary/etl/yaml_to_json.py'
    # DONT FIX:
    --ignore='tests/test_yes_no.py'
    --ignore='src/qary/orm/models.py'
    --ignore='tests/test_dialog_parse.py'
    --ignore='tests/dont*.py'
    --verbose

norecursedirs =
    *.egg
    .eggs
    .git
    .tox
    __pycache__
    build
    dist
    docs
    src/qary/data
    src/qary/orm
    src/qary/plugins
    src/qary/qa

testpaths =
    tests
    src/qary

console_output_style =
    progress
